#include "../include/function_pool.h"
void function_pool_init_0(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_1(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_2(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_3(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_4(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_5(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_6(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
void function_pool_init_7(std::tuple<FPKeyMap, PPFPKeyMap>& def_keys, std::tuple<FPMap, PPFPMap>& function_maps);
/* kernel-generator.py:181 */
function_pool_data::function_pool_data(){
function_pool_init_0(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_1(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_2(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_3(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_4(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_5(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_6(def_keys, function_maps);/* kernel-generator.py:178 */
function_pool_init_7(def_keys, function_maps);/* kernel-generator.py:178 */}